
Redmine - Feature #6385

Issue mailer displays journal entries different from issue_helper.show_details()

2010-09-13 21:02 - Randy Syring

Status: Closed Start date: 2010-09-13

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

The issue mailer views just enumerate issue fields whereas the show_details() method is more robust and can be overridden in

plugins.

History

#1 - 2010-09-14 03:51 - Randy Syring

- Status changed from New to Resolved

sorry for the static, you can close this issue.  I confused the fields for the issue with the fields for the journal.  The fields for the journal are using

show_details().  The reason I am not getting journal detail entries in my emails is because I am using controller_issues_edit_after_save() instead of

...before_save(), which means my journal detail record isn't added to the journal instance until after the email is sent out.

#2 - 2010-09-14 09:01 - Felix Schäfer

- Status changed from Resolved to Closed
